Page MenuHomePhabricator

Create Google translate backend for cxserver
Closed, ResolvedPublic

Description

Create Google translate backend for cxserver.

Details

Related Gerrit Patches:
mediawiki/services/cxserver/deploy : masterAdd Google MT service config
operations/puppet : productionAdd Google Translate MT config
mediawiki/extensions/ContentTranslation : masterCustom label for Google MT service
mediawiki/services/cxserver : masterMT: Google Translate client

Event Timeline

Amire80 raised the priority of this task from to Needs Triage.Feb 20 2015, 4:30 PM
Amire80 added a subscriber: Amire80.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 20 2015, 4:30 PM
Arrbee updated the task description. (Show Details)Feb 24 2015, 6:30 AM
Arrbee set Security to None.
Amire80 triaged this task as Normal priority.Feb 26 2015, 8:30 AM
KuboF added a subscriber: KuboF.Apr 2 2015, 8:58 AM
Amire80 moved this task from Needs Triage to Bugs on the ContentTranslation board.Jul 3 2015, 2:04 PM
Ryuch added a subscriber: Ryuch.Nov 11 2015, 7:21 AM
KuboF removed a subscriber: KuboF.Feb 6 2016, 4:57 PM

Change 306652 had a related patch set uploaded (by Santhosh):
MT: Google Translate client

https://gerrit.wikimedia.org/r/306652

Amire80 updated the task description. (Show Details)Sep 13 2016, 7:04 AM
Amire80 moved this task from Bugs to MT on the ContentTranslation board.Jun 28 2017, 6:50 AM
Arrbee moved this task from Backlog to In Review on the Language-2017-Oct-Dec board.
Arrbee moved this task from Backlog to In Review on the Language-2018-Jan-Mar board.

Change 306652 merged by jenkins-bot:
[mediawiki/services/cxserver@master] MT: Google Translate client

https://gerrit.wikimedia.org/r/306652

Change 470571 had a related patch set uploaded (by Santhosh; owner: Santhosh):
[mediawiki/extensions/ContentTranslation@master] Custom label for Google MT service

https://gerrit.wikimedia.org/r/470571

Change 470571 merged by jenkins-bot:
[mediawiki/extensions/ContentTranslation@master] Custom label for Google MT service

https://gerrit.wikimedia.org/r/470571

Change 471697 had a related patch set uploaded (by KartikMistry; owner: KartikMistry):
[mediawiki/services/cxserver/deploy@master] Add Google MT service config

https://gerrit.wikimedia.org/r/471697

Change 471698 had a related patch set uploaded (by KartikMistry; owner: KartikMistry):
[operations/puppet@production] Add Google Translate MT config

https://gerrit.wikimedia.org/r/471698

KartikMistry edited projects, added ContentTranslation; removed CX-cxserver.

Change 471698 merged by Alexandros Kosiaris:
[operations/puppet@production] Add Google Translate MT config

https://gerrit.wikimedia.org/r/471698

Change 471697 merged by jenkins-bot:
[mediawiki/services/cxserver/deploy@master] Add Google MT service config

https://gerrit.wikimedia.org/r/471697

Mentioned in SAL (#wikimedia-operations) [2019-01-07T12:02:25Z] <kartik@deploy1001> Started deploy [cxserver/deploy@2d54a64]: Deploy Google Translation (T90208)

Mentioned in SAL (#wikimedia-operations) [2019-01-07T12:07:32Z] <kartik@deploy1001> Finished deploy [cxserver/deploy@2d54a64]: Deploy Google Translation (T90208) (duration: 05m 07s)

Pginer-WMF closed this task as Resolved.Jan 9 2019, 4:26 PM
Pginer-WMF added a subscriber: Pginer-WMF.

Done. More details in the blog post.